From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/ubertooth/
Date: Tue, 30 Mar 2021 23:25:34 +0000 (UTC) [thread overview]
Message-ID: <1617146692.37fec9fd6d75c8cab44a0470371f3b587be9c176.sam@gentoo> (raw)
commit: 37fec9fd6d75c8cab44a0470371f3b587be9c176
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 30 23:24:52 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 30 23:24:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37fec9fd
net-wireless/ubertooth: Revert "drop old" (restore stable version)
kismet is stable so needs a stable version of ubertooth in tree.
This reverts commit 192e85579ff29966aaeca626319646a5f85261f2.
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-wireless/ubertooth/Manifest | 1 +
net-wireless/ubertooth/ubertooth-2018.12.1.ebuild | 71 +++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/net-wireless/ubertooth/Manifest b/net-wireless/ubertooth/Manifest
index 5c58d150391..03ea22126d6 100644
--- a/net-wireless/ubertooth/Manifest
+++ b/net-wireless/ubertooth/Manifest
@@ -1 +1,2 @@
+DIST ubertooth-2018-12-R1.tar.xz 704208 BLAKE2B 7a17830a0ed417a737d78aa22c5a6a270a67b350a3a5e9a0aebabd4b38547d8d35551e061ea3d5260996f8fe1a366c75c8773d5e3a6abf37a0930f93200da3fc SHA512 409fdb403d6a3fa84b92757e0fd8672b1403ba3d24888fbde4d6d6923d8e0796914c20d38e2fc58909f81fcb8a0b6290bcf91282bb02354c310e6e91ad85e23b
DIST ubertooth-2020-12-R1.tar.xz 763952 BLAKE2B 592c5fa689e0f944875bd777dedfd83394ebe5c9c65c1ac2c19006a949daeda8440dc102e537cf97b4547e0730df8f47d5c2a420d84d5dc770577b6039e16b28 SHA512 f127cae09d9b20dc34ffad080871f4505cbeccc1117e0e4e841ecf4a30f578d02b67b52786d7a82bdfc43d06562919008c076f8eb9befc7e4bd95def05a3864c
diff --git a/net-wireless/ubertooth/ubertooth-2018.12.1.ebuild b/net-wireless/ubertooth/ubertooth-2018.12.1.ebuild
new file mode 100644
index 00000000000..d71069e391f
--- /dev/null
+++ b/net-wireless/ubertooth/ubertooth-2018.12.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit cmake udev
+
+HOMEPAGE="http://ubertooth.sourceforge.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+bluez static-libs +ubertooth1-firmware +udev"
+
+DEPEND="bluez? ( net-wireless/bluez:= )
+ >=net-libs/libbtbb-${PV}:=[static-libs?]
+ static-libs? ( dev-libs/libusb[static-libs] )
+ virtual/libusb:1="
+RDEPEND="${DEPEND}
+ udev? ( virtual/udev )"
+
+MY_PV=${PV/\./-}
+MY_PV=${MY_PV/./-R}
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/greatscottgadgets/ubertooth.git"
+ inherit git-r3
+ S="${WORKDIR}/${P}/host"
+else
+ S="${WORKDIR}/${PN}-${MY_PV}/host"
+ SRC_URI="https://github.com/greatscottgadgets/${PN}/releases/download/${MY_PV}/${PN}-${MY_PV}.tar.xz"
+ KEYWORDS="amd64 arm x86"
+fi
+DESCRIPTION="open source wireless development platform suitable for Bluetooth experimentation"
+
+#readd firmware building, but do it right
+#USE="-fortran -mudflap -nls -openmp -multilib" crossdev --without-headers --genv 'EXTRA_ECONF="--with-mode=thumb --with-cpu=cortex-m3 --with-float=soft"' -s4 -t arm-cortexm3-eabi
+
+PATCHES=( "${FILESDIR}"/"${P}"-gcc-10.patch )
+
+src_configure() {
+ local mycmakeargs=(
+ -DUSE_BLUEZ=$(usex bluez)
+ -DBUILD_STATIC_LIB=$(usex static-libs)
+ -DINSTALL_UDEV_RULES=$(usex udev)
+ -DENABLE_PYTHON=false
+ )
+ if use udev; then
+ mycmakeargs+=(
+ -DUDEV_RULES_GROUP=usb
+ -DUDEV_RULES_PATH="$(get_udevdir)/rules.d"
+ )
+ fi
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /usr/share/${PN}
+ pushd "${WORKDIR}/${PN}-${MY_PV}" || die
+ if [[ ${PV} == "9999" ]] ; then
+ ewarn "Firmware isn't available for git releases, we assume you are already"
+ ewarn "on the latest and/or can build your own."
+ else
+ use ubertooth1-firmware && newins ubertooth-one-firmware-bin/bluetooth_rxtx.dfu ${PN}-one-${PV}-bluetooth_rxtx.dfu
+ use ubertooth1-firmware && newins ubertooth-one-firmware-bin/bluetooth_rx_only.dfu ${PN}-one-${PV}-bluetooth_rx_only.dfu
+ fi
+ popd
+
+ elog "Everyone can read from the ubertooth, but to talk to it"
+ elog "your user needs to be in the usb group."
+}
next reply other threads:[~2021-03-30 23:25 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-30 23:25 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-19 13:34 [gentoo-commits] repo/gentoo:master commit in: net-wireless/ubertooth/ Rick Farina
2023-04-09 19:38 Sam James
2023-04-09 19:38 Sam James
2023-04-09 18:41 Arthur Zamarin
2023-02-22 16:35 Rick Farina
2021-03-30 20:20 Rick Farina
2021-01-07 3:00 Rick Farina
2020-07-05 13:44 Agostino Sarubbo
2020-07-05 13:38 Agostino Sarubbo
2020-07-05 13:36 Agostino Sarubbo
2020-06-12 14:20 Rick Farina
2019-03-20 2:25 Rick Farina
2018-08-07 23:10 Richard Farina
2018-06-27 19:00 Andreas Sturmlechner
2018-06-27 19:00 Andreas Sturmlechner
2018-02-28 18:50 Richard Farina
2017-10-04 9:15 Michał Górny
2017-03-20 17:07 Richard Farina
2017-03-04 5:06 Richard Farina
2016-02-03 23:00 Richard Farina
2016-02-03 23:00 Richard Farina
2015-09-05 2:39 Richard Farina
2015-09-05 2:39 Richard Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1617146692.37fec9fd6d75c8cab44a0470371f3b587be9c176.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox